geneSet2Ped {GeneticsBase} | R Documentation

## Translate a geneSet object to a ped matrix

### Description

Translate a geneSet object to a ped matrix.

### Usage

      geneSet2Ped(geneSetObj)

### Arguments

`geneSetObj` | an object of geneSet class

### Value

A list with five elements: `ped`, `columns`, `markerNames`, `Position`, and `fileName`. `ped` is a pedigree data frame whose first 6 columns are family (pedigree id), pid (patient id), father (father id), mother (mother id), sex, affected (affection status). The remaining columns are pairs of marker alleles. Each row corresponds to an individual; `columns` are the names of the first 5 (or 6) columns of ped file. It should be either equal to c("family","pid","father","mother","sex","affected") or equal to c("family","pid","father","mother","sex"); `founderOnly` indicates if using only founder info; `markerNames` is a vector of marker names; `Position` is a vector of marker positions; `fileName` is the pedigree file name.

### Author(s)

Weiliang Qiu stwxq@channing.harvard.edu, Ross Lazarus ross.lazarus@channing.harvard.edu, Gregory Warnes warnes@bst.rochester.edu, Nitin Jain nitin.jain@pfizer.com

### Examples

      data(CAMP)
      res<-geneSet2Ped(CAMP)
      res$ped[1:5,]
      res$columns
      res$markerNames
      res$Position
      res$fileName

[Package GeneticsBase version 1.8.0 Index]